#!/bin/bash

set -e

CONFIG_FILE="/etc/default/tftpd-hpa"
DIVERTED_FILE="/etc/default/tftpd-hpa.orig"

if [ "$1" = "remove" ]; then
    echo "Restaurando archivo de configuración original..."

    # Restaurar el archivo original si existe
    if [ -f "$DIVERTED_FILE" ]; then
        mv "$DIVERTED_FILE" "$CONFIG_FILE"
    fi

    # Eliminar la desviación
    dpkg-divert --remove --rename "$CONFIG_FILE"
    # Eliminar la linea de inclusión de samba en smb.conf si existe 
    INCLUDE_LINE="include = /etc/samba/opengnsys/smb_ogboot.conf"
    if grep -q "$INCLUDE_LINE" /etc/samba/smb.conf; then
        sed -i "/$INCLUDE_LINE/d" /etc/samba/smb.conf
    fi

fi
